# Uses of Interface
org.osgi.service.remoteserviceadmin.EndpointListener

Packages that use EndpointListener
Package
Description
org.eclipse.ecf.osgi.services.remoteserviceadmin

## Uses of EndpointListener in org.eclipse.ecf.osgi.services.remoteserviceadmin

Classes in org.eclipse.ecf.osgi.services.remoteserviceadmin that implement EndpointListener
Modifier and Type
Class
Description
`class`
`TopologyManagerImpl`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that return EndpointListener
Modifier and Type
Method
Description
`EndpointListener`
EndpointDescriptionLocator.EndpointListenerHolder.`getListener()`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type EndpointListener
Modifier and Type
Method
Description
`protected void`
AbstractTopologyManager.`handleNonECFEndpointAdded(EndpointListener listener, EndpointDescription endpointDescription)`
`protected void`
AbstractTopologyManager.`handleNonECFEndpointRemoved(EndpointListener listener, EndpointDescription endpointDescription)`
Constructors in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type EndpointListener
Modifier
Constructor
Description
``
`EndpointListenerHolder(EndpointListener l, EndpointDescription d, String f)`